GHSA-p68c-xg89-2g5r

Suggest an improvement
Source
https://github.com/advisories/GHSA-p68c-xg89-2g5r
Import Source
https://github.com/github/advisory-database/blob/main/advisories/github-reviewed/2022/05/GHSA-p68c-xg89-2g5r/GHSA-p68c-xg89-2g5r.json
JSON Data
https://api.osv.dev/v1/vulns/GHSA-p68c-xg89-2g5r
Aliases
Published
2022-05-24T17:10:29Z
Modified
2024-02-16T08:22:22.937338Z
Severity
  • 3.1 (Low) CVSS_V3 - CVSS:3.1/AV:N/AC:H/PR:N/UI:R/S:U/C:L/I:N/A:N CVSS Calculator
Summary
Credentials transmitted in plain text by Backlog Plugin
Details

Backlog Plugin stores credentials in job config.xml files as part of its configuration.

While the credentials are stored encrypted on disk, they are transmitted in plain text as part of the configuration form by Backlog Plugin 2.4 and earlier. These credentials could be viewed by users with Extended Read permission.

References

Affected packages

Maven / org.jenkins-ci.plugins:backlog

Package

Name
org.jenkins-ci.plugins:backlog
View open source insights on deps.dev
Purl
pkg:maven/org.jenkins-ci.plugins/backlog

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2.5

Affected versions

1.*

1.3
1.4
1.5
1.6
1.7
1.8
1.9
1.10
1.11

2.*

2.0
2.1
2.2
2.3
2.4